Skip to main content
POST
Get surrounding log context

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

Body

application/json
from
string<date-time>
required
to
string<date-time>
required
query
string
filter_operator
string
filters
object[]
before
integer<int32>

Number of matching records earlier than the anchor. Defaults to 10.

after
integer<int32>

Number of matching records later than the anchor. Defaults to 10.

oql
string

Optional OQL pipeline. It cannot be combined with query or filters.

Response

OK

anchor
object
required

Log is a log record returned by the log endpoints.

before
object[]
required

Matching records earlier than the anchor, ordered oldest to newest.

after
object[]
required

Matching records later than the anchor, ordered oldest to newest.

has_more_before
boolean
required
has_more_after
boolean
required